using System;

public class HelloWorld
{
    public static void Main(string[] args)
    {
        string[]s = Console.ReadLine().Split();
        int N = int.Parse(s[0]);
        int L = int.Parse(s[1]);
        int[] st = new int[N];
        s = Console.ReadLine().Split();
        for(int i = 0;i<N; i++)
        {
            st[i] = int.Parse(s[i]);
            
        }
        int br = 0;
        for(int i = 0;i<N; i++)
        {
            if(st[i]>L) br++;
            else 
            {
                Console.WriteLine(br);
                break;
            }
            
        }
        if(br==N) Console.WriteLine(-1);;
        
    }
}